# gztell

(PHP 4, PHP 5, PHP 7)

gztell — Tell gz-file pointer read/write position

### Description

gztell ( resource `$zp` ) : int

Gets the position of the given file pointer; i.e., its offset into the uncompressed file stream.

### Parameters

`zp`

  The gz-file pointer. It must be valid, and must point to a file successfully opened by gzopen().

### Return Values

The position of the file pointer or `FALSE` if an error occurs.

### See Also

- gzopen() - Open gz-file
- gzseek() - Seek on a gz-file pointer
- gzrewind() - Rewind the position of a gz-file pointer